<!DOCTYPE html>
<html>
<head>
	<title>Botão mudar de cor</title>
</head>
<body id="fundo">
	<button id="bnt">Clicar</button>
	<script>
		var bnt = document.querySelector('#bnt');
		var i = 0;
		var body = document.querySelector('#fundo');

		bnt.onclick = function(){
			if(i == 0){
				body.style.backgroundColor = 'blue';
				i = 1;
			}else if(i == 1){
				body.style.backgroundColor = 'white';
				i = 0;
			}
		};
	</script>

</body>
</html>
